Compliance export
Download compliance export
Download the compliance export for a reporting period.
GET
/
v1
/
compliance-export
Download compliance export
curl --request GET \
--url https://api.getmillwork.dev/v1/compliance-export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/compliance-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attestation": {
"algorithm": "sha256",
"digest": "<string>"
},
"content_policy": {
"proposals": "role_scoped_d8b",
"receipts": "content_free"
},
"decision_log": [
{
"acted_by": "<string>",
"action": "<string>",
"at": "2023-11-07T05:31:56Z",
"decision_id": "<string>",
"kind": "proposal_decision",
"resource": {
"id": "<string>",
"type": "proposal"
},
"proposal": {
"arm_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"diff": [
{
"baseline_hash": "<string>",
"candidate_hash": "<string>",
"region": "<string>",
"candidate_content": "<string>"
}
],
"execution_id": "<string>",
"proposal_id": "<string>",
"status": "pending",
"verifier_evidence": {
"baseline": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
},
"candidate": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
}
},
"on_approve": {
"new_artifact_hash": "<string>",
"new_version": "<string>"
}
}
}
],
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"receipts_ndjson": "<string>",
"schema_version": "aud2.v1",
"usage_totals": {
"calls": 123,
"executions": 123,
"input_tokens": 123,
"output_tokens": 123,
"passthrough_usd": 123,
"platform_usd": 123,
"slices": 123,
"usd": 123
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Pattern:
^\d{4}-\d{2}$Minimum string length:
1Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
aud2.v1 Show child attributes
Show child attributes
⌘I
Download compliance export
curl --request GET \
--url https://api.getmillwork.dev/v1/compliance-export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/compliance-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attestation": {
"algorithm": "sha256",
"digest": "<string>"
},
"content_policy": {
"proposals": "role_scoped_d8b",
"receipts": "content_free"
},
"decision_log": [
{
"acted_by": "<string>",
"action": "<string>",
"at": "2023-11-07T05:31:56Z",
"decision_id": "<string>",
"kind": "proposal_decision",
"resource": {
"id": "<string>",
"type": "proposal"
},
"proposal": {
"arm_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"diff": [
{
"baseline_hash": "<string>",
"candidate_hash": "<string>",
"region": "<string>",
"candidate_content": "<string>"
}
],
"execution_id": "<string>",
"proposal_id": "<string>",
"status": "pending",
"verifier_evidence": {
"baseline": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
},
"candidate": {
"is_correct": true,
"quality_score": 123,
"anchor_results": {},
"named_metrics": {}
}
},
"on_approve": {
"new_artifact_hash": "<string>",
"new_version": "<string>"
}
}
}
],
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"receipts_ndjson": "<string>",
"schema_version": "aud2.v1",
"usage_totals": {
"calls": 123,
"executions": 123,
"input_tokens": 123,
"output_tokens": 123,
"passthrough_usd": 123,
"platform_usd": 123,
"slices": 123,
"usd": 123
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}